Name:         plan-vmware-4
Namespace:    mtv-test
Labels:       <none>
Annotations:  populatorLabels: True
API Version:  forklift.konveyor.io/v1beta1
Kind:         Plan
Metadata:
  Creation Timestamp:  2025-07-31T10:03:02Z
  Generation:          1
  Resource Version:    1194827
  UID:                 7eaa7a65-01dd-42f4-a7a6-5cf428170920
Spec:
  Map:
    Network:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         NetworkMap
      Name:         plan-vmware-4-network-map
      Namespace:    mtv-test
    Storage:
      API Version:       forklift.konveyor.io/v1beta1
      Kind:              StorageMap
      Name:              plan-vmware-4-storage-map
      Namespace:         mtv-test
  Migrate Shared Disks:  true
  Provider:
    Destination:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         Provider
      Name:         host
      Namespace:    mtv-test
    Source:
      API Version:                      forklift.konveyor.io/v1beta1
      Kind:                             Provider
      Name:                             vmware
      Namespace:                        mtv-test
  Pvc Name Template Use Generate Name:  true
  Skip Guest Conversion:                false
  Target Namespace:                     mtv-test
  Use Compatibility Mode:               true
  Vms:
    Id:  vm-173
    Luks:
    Name:  mtv-func-WIN2019-test
Status:
  Conditions:
    Category:              Required
    Last Transition Time:  2025-07-31T10:03:08Z
    Message:               The migration plan is ready.
    Status:                True
    Type:                  Ready
    Category:              Advisory
    Durable:               true
    Last Transition Time:  2025-07-31T10:15:41Z
    Message:               The plan execution has SUCCEEDED.
    Status:                True
    Type:                  Succeeded
    Category:              Warn
    Items:
       id:vm-173 name:'mtv-func-WIN2019-test' 
    Last Transition Time:  2025-07-31T10:15:41Z
    Message:               Target VM name does not comply with DNS1123 RFC, will be automatically changed.
    Reason:                NotValid
    Status:                True
    Type:                  TargetNameNotValid
  Migration:
    Completed:  2025-07-31T10:15:41Z
    History:
      Conditions:
        Category:              Advisory
        Durable:               true
        Last Transition Time:  2025-07-31T10:15:41Z
        Message:               The plan execution has SUCCEEDED.
        Status:                True
        Type:                  Succeeded
      Map:
        Network:
          Generation:  2
          Name:        plan-vmware-4-network-map
          Namespace:   mtv-test
          UID:         aa22daf0-fb01-48fc-9223-c04f19db18c0
        Storage:
          Generation:  2
          Name:        plan-vmware-4-storage-map
          Namespace:   mtv-test
          UID:         8fa71723-a9d3-47de-81a8-37f77f7a55d0
      Migration:
        Generation:  1
        Name:        plan-vmware-4-b8l6n
        Namespace:   mtv-test
        UID:         51f8cd12-926f-456a-b14c-54eaf01ee5fc
      Plan:
        Generation:  1
        Name:        plan-vmware-4
        Namespace:   mtv-test
        UID:         7eaa7a65-01dd-42f4-a7a6-5cf428170920
      Provider:
        Destination:
          Generation:  1
          Name:        host
          Namespace:   mtv-test
          UID:         d71436e7-d1cc-4282-9dda-8c49da31fdd2
        Source:
          Generation:  1
          Name:        vmware
          Namespace:   mtv-test
          UID:         b61904a2-e5ed-4c36-b194-812ae140aaa1
    Started:           2025-07-31T10:04:25Z
    Vms:
      Completed:  2025-07-31T10:15:41Z
      Conditions:
        Category:              Advisory
        Durable:               true
        Last Transition Time:  2025-07-31T10:15:41Z
        Message:               The VM migration has SUCCEEDED.
        Status:                True
        Type:                  Succeeded
      Id:                      vm-173
      Luks:
      Name:              mtv-func-WIN2019-test
      New Name:          mtv-func-win2019-test
      Operating System:  windows2019srv_64Guest
      Phase:             Completed
      Pipeline:
        Completed:    2025-07-31T10:04:36Z
        Description:  Initialize migration.
        Name:         Initialize
        Phase:        Completed
        Progress:
          Completed:  0
          Total:      1
        Started:      2025-07-31T10:04:25Z
        Annotations:
          Unit:       MB
        Completed:    2025-07-31T10:04:45Z
        Description:  Allocate disks.
        Name:         DiskAllocation
        Phase:        Completed
        Progress:
          Completed:  12288
          Total:      12288
        Started:      2025-07-31T10:04:39Z
        Tasks:
          Annotations:
            Unit:     MB
          Completed:  2025-07-31T10:04:45Z
          Name:       [mtv-nfs-rhos-v7] mtv-func-WIN2019-test/mtv-func-WIN2019-test_2.vmdk
          Phase:      Completed
          Progress:
            Completed:  12288
            Total:      12288
          Reason:       Transfer completed.
          Started:      2025-07-31T10:04:45Z
        Completed:      2025-07-31T10:07:10Z
        Description:    Convert image to kubevirt.
        Name:           ImageConversion
        Phase:          Completed
        Progress:
          Completed:  0
          Total:      1
        Started:      2025-07-31T10:04:49Z
        Annotations:
          Unit:       MB
        Completed:    2025-07-31T10:15:37Z
        Description:  Copy disks.
        Name:         DiskTransferV2v
        Phase:        Completed
        Progress:
          Completed:  12288
          Total:      12288
        Started:      2025-07-31T10:07:11Z
        Tasks:
          Annotations:
            Unit:  MB
          Name:    [mtv-nfs-rhos-v7] mtv-func-WIN2019-test/mtv-func-WIN2019-test_2.vmdk
          Progress:
            Completed:  12042
            Total:      12288
        Completed:      2025-07-31T10:15:41Z
        Description:    Create VM.
        Name:           VirtualMachineCreation
        Phase:          Completed
        Progress:
          Completed:        0
          Total:            1
        Started:            2025-07-31T10:15:40Z
      Restore Power State:  Off
      Started:              2025-07-31T10:04:25Z
  Observed Generation:      1
Events:
  Type     Reason                 Age                From  Message
  ----     ------                 ----               ----  -------
  Normal   VDDKInitImageNotReady  24m (x2 over 24m)  plan  
  Normal   ValidatingVDDK         24m (x3 over 24m)  plan  Validating VDDK init image
  Normal   Ready                  24m (x2 over 24m)  plan  The migration plan is ready.
  Warning  TargetNameNotValid     11m (x5 over 24m)  plan  Target VM name does not comply with DNS1123 RFC, will be automatically changed.
